/**
 * @packageDocumentation
 * @module page-guard
 */
import { ThemeService } from '@alauda/ui';
import { TemplateRef } from '@angular/core';
import { GuardStatus, Reason } from './page-guard.type';
import * as i0 from "@angular/core";
export declare class PageGuardComponent {
    private readonly theme;
    top: number | string;
    isFull: boolean;
    get allowed(): boolean;
    set allowed(allowed: boolean);
    status: GuardStatus;
    set reason(reason: Reason);
    title: string;
    description: string;
    context: 'page' | 'card';
    descriptionTpl: TemplateRef<unknown>;
    operation: TemplateRef<unknown>;
    template: TemplateRef<unknown>;
    reasonModel: {
        src: string;
        title: string;
        description: string;
    };
    handlePixel: (value: string | number) => string;
    constructor(theme: ThemeService);
    reasonSrc$: import("rxjs").Observable<string>;
    isNonEmptyString(value: unknown): boolean;
    isUndefined(value: string): boolean;
    isTemplateRef(value: unknown): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<PageGuardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PageGuardComponent, "acl-page-guard", never, { "top": "top"; "isFull": "isFull"; "allowed": "allowed"; "status": "status"; "reason": "reason"; "title": "title"; "description": "description"; "context": "context"; }, {}, ["descriptionTpl", "operation", "template"], never, false>;
}
